slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNRationalSetNumerator

Sets the parameters defining the numerator of the rational function.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNRationalSetNumerator(FN fn,PetscInt np,PetscScalar *pcoeff)

Logically Collective

### Input Parameters

| fn | - the math function context
| np | - number of coefficients
| pcoeff | - coefficients (array of scalar values)

### Notes

Let the rational function r(x) = p(x)/q(x), where p(x) and q(x) are polynomials. This function provides the coefficients of the numerator p(x). Hence, p(x) is of degree np-1. If np is zero, then the numerator is assumed to be p(x)=1.

In polynomials, high order coefficients are stored in the first positions of the array, e.g. to represent x^2-3 use {1,0,-3}.

### See Also

FNRationalSetDenominator(), FNRationalGetNumerator()

### Level

intermediate

### Location

src/sys/classes/fn/impls/rational/fnrational.c

### Examples

src/mfn/tutorials/ex39.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages